<ng-container *subscribe="editIndicatorMutation.result$ as indicator">
  <ngx-loading [show]="indicator.isLoading" />
</ng-container>

<div [ngClass]="[jds.card]">
  <div [ngClass]="[jds.cardBody, jds.py(30), jds.px(40)]">
    <ng-container *ngIf="indicatorData() as indData">
      <ng-container *ngIf="indData.isLoading">
        <div *ngFor="let number of [0, 1]">
          <ngx-skeleton-loader
            [theme]="{
              width: '40%',
              'border-radius': '0',
              height: '20px',
              'margin-bottom': '10px'
            }"
          />
          <ngx-skeleton-loader
            [theme]="{
              width: '100%',
              'border-radius': '0',
              height: '43px',
              'margin-bottom': '10px'
            }"
          />
        </div>
      </ng-container>

      <ng-container *ngIf="indData.isSuccess">
        <ng-container *ngIf="indData.data as row">
          <table
            [ngClass]="[
              jds.table,
              jds.tableSm,
              jds.tableBorderless,
              jds.mb(20)
            ]"
            role="table"
            aria-label="Information"
            aria-describedby="Table Information"
          >
            <tbody>
              <tr>
                <th
                  [style.width.%]="32.5"
                  scope="row"
                >
                  Judul
                </th>
                <td>{{ row.name }}</td>
              </tr>
              <tr>
                <th scope="row">Klasifikasi</th>
                <td>
                  <ng-container
                    *ngFor="let classification of row.history_class"
                  >
                    <span
                      [colorScheme]="
                        getClassification(classification.id_class).bgColor
                      "
                      [ngClass]="[jds.me(8)]"
                      jdsBiBadge
                    >
                      {{ classification.name }}
                    </span>
                  </ng-container>
                </td>
              </tr>
              <tr>
                <th scope="row">Kategori</th>
                <td>{{ row.category_name }}</td>
              </tr>
              <tr>
                <th scope="row">Dataset Pembangun</th>
                <td>
                  <ng-container
                    *ngIf="row.indikator_dataset.length > 0; else emptyDataset"
                  >
                    <ul [ngClass]="[jds.ps(15), jds.mb(0)]">
                      <li
                        *ngFor="let rowd of row.indikator_dataset"
                        style="line-height: unset"
                      >
                        {{ rowd.dataset_nama }}
                      </li>
                    </ul>
                  </ng-container>
                  <ng-template #emptyDataset>-</ng-template>
                </td>
              </tr>
              <tr>
                <th scope="row">Indikator Terhubung</th>
                <td>
                  <ng-container
                    *ngIf="
                      row.indikator_terhubung.length > 0;
                      else emptyConnect
                    "
                  >
                    <ul [ngClass]="[jds.ps(15), jds.mb(0)]">
                      <li
                        *ngFor="let rowc of row.indikator_terhubung"
                        style="line-height: unset"
                      >
                        {{ rowc.indikator_terhubung_nama }}
                      </li>
                    </ul>
                  </ng-container>
                  <ng-template #emptyConnect>-</ng-template>
                </td>
              </tr>
              <tr>
                <th scope="row">Program</th>
                <td>
                  <ng-container
                    *ngIf="row.indikator_program.length > 0; else emptyProgram"
                  >
                    <ul [ngClass]="[jds.ps(15), jds.mb(0)]">
                      <li
                        *ngFor="let rowp of row.indikator_program"
                        style="line-height: unset"
                      >
                        {{ rowp.kode_program }} - {{ rowp.nama_program }}
                      </li>
                    </ul>
                  </ng-container>
                  <ng-template #emptyProgram>-</ng-template>
                </td>
              </tr>
              <tr>
                <th scope="row">Data Dasar</th>
                <td>
                  @if (row.data_dasar_array; as basicData) {
                    @if (basicData.length > 0) {
                      <ul [ngClass]="[jds.ps(15), jds.mb(0)]">
                        @for (item of basicData; track $index) {
                          <li style="line-height: unset">
                            {{ item.name }}
                          </li>
                        }
                      </ul>
                    } @else {
                      -
                    }
                  } @else {
                    -
                  }
                </td>
              </tr>
              <tr>
                <th scope="row">Rumus</th>
                <td
                  [ngClass]="[className.formula, className.image]"
                  [innerHTML]="row.rumus | safeHtml"
                ></td>
              </tr>
              <tr>
                <th scope="row">Satuan</th>
                <td>{{ row.satuan_name }}</td>
              </tr>
              <tr>
                <th scope="row">Sumber Data</th>
                <td>{{ row.source || '-' }}</td>
              </tr>
              <tr>
                <th scope="row">Interpretasi</th>
                <td>{{ row.interpretation || '-' }}</td>
              </tr>
              <tr>
                <th scope="row">Organisasi</th>
                <td>{{ row.nama_skpd }}</td>
              </tr>
              <tr>
                <th scope="row">Bidang</th>
                <td>{{ row.nama_skpdsub || '-' }}</td>
              </tr>
              <tr>
                <th scope="row">Tanggal Rilis</th>
                <td>
                  {{ moment(row.datetime).locale('id').format('MMMM YYYY') }}
                </td>
              </tr>
              <tr>
                <th scope="row">Kondisi Awal</th>
                <td>
                  <table
                    [ngClass]="[
                      jds.table,
                      jds.tableSm,
                      jds.tableBordered,
                      jds.mb(20)
                    ]"
                    role="table"
                    aria-label="Initial Condition"
                    aria-describedby="Table Initial Condition"
                  >
                    <thead [ngClass]="[jds.bg('#f5f5f5')]">
                      <tr>
                        <th
                          [style.width.%]="25"
                          scope="col"
                        >
                          Tahun
                        </th>
                        <th scope="col">Capaian</th>
                      </tr>
                    </thead>
                    <tbody>
                      <ng-container
                        *ngIf="indicatorProgressInitialData() as initialData"
                      >
                        <ng-container *ngIf="initialData.isLoading">
                          <tr *ngFor="let number of [0, 1]">
                            <td *ngFor="let number of [0, 1]">
                              <div class="wrapper-skeleton">
                                <ngx-skeleton-loader
                                  [theme]="{
                                    width: '80%',
                                    'border-radius': '0',
                                    height: '22px',
                                    'margin-bottom': '0px'
                                  }"
                                >
                                </ngx-skeleton-loader>
                              </div>
                            </td>
                          </tr>
                        </ng-container>

                        <ng-container *ngIf="initialData.isSuccess">
                          <tr *ngFor="let initial of initialData.data.list">
                            <td>{{ initial.year }}</td>
                            <td>{{ initial.capaian || '-' }}</td>
                          </tr>
                        </ng-container>
                      </ng-container>
                    </tbody>
                  </table>
                </td>
              </tr>
              <tr>
                <th scope="row">Tambah Tahun</th>
                <td>
                  <table
                    [ngClass]="[
                      jds.table,
                      jds.tableSm,
                      jds.tableBordered,
                      jds.mb(20)
                    ]"
                    role="table"
                    aria-label="Tambah Tahun"
                    aria-describedby="Table Tambah Tahun"
                  >
                    <thead [ngClass]="[jds.bg('#f5f5f5')]">
                      <tr>
                        <th
                          [style.width.%]="25"
                          scope="col"
                        >
                          Tahun
                        </th>
                        <th scope="col">Target</th>
                        <th scope="col">Capaian</th>
                      </tr>
                    </thead>
                    <tbody>
                      <ng-container
                        *ngIf="indicatorProgressFinalData() as finalData"
                      >
                        <ng-container *ngIf="finalData.isLoading">
                          <tr *ngFor="let number of [0, 1]">
                            <td *ngFor="let number of [0, 1]">
                              <div class="wrapper-skeleton">
                                <ngx-skeleton-loader
                                  [theme]="{
                                    width: '80%',
                                    'border-radius': '0',
                                    height: '22px',
                                    'margin-bottom': '0px'
                                  }"
                                >
                                </ngx-skeleton-loader>
                              </div>
                            </td>
                          </tr>
                        </ng-container>

                        <ng-container *ngIf="finalData.isSuccess">
                          <tr *ngFor="let final of finalData.data.list">
                            <td>{{ final.year }}</td>
                            <td>{{ final.target || '-' }}</td>
                            <td>{{ final.capaian || '-' }}</td>
                          </tr>
                        </ng-container>
                      </ng-container>
                    </tbody>
                  </table>
                </td>
              </tr>
            </tbody>
          </table>

          <div
            [ngClass]="[jds.d('flex'), jds.justifyContent('end'), jds.mb(10)]"
          >
            @if (id) {
              <a
                [ngClass]="[jds.button, jds.buttonDefault]"
                [routerLink]="['/my-indicator/edit', row.id]"
                [queryParams]="param"
              >
                Ubah Indikator
              </a>
            }
            <button
              [ngClass]="[jds.button, jds.buttonPrimary, jds.ms(16)]"
              (click)="onSubmit()"
              type="submit"
            >
              Simpan
            </button>
          </div>
        </ng-container>
      </ng-container>
    </ng-container>
  </div>
</div>
